cabal-version:       2.2
-- Initial package description 'justin-site.cabal' generated by 'cabal
-- init'.  For further documentation, see
-- http://haskell.org/cabal/users-guide/

name:                justin-site
version:             0.1.0.0
-- synopsis:
-- description:
-- bug-reports:
license:             BSD-3-Clause
license-file:        LICENSE
author:              Justin Hsu
maintainer:          email@justinhsu.net
-- copyright:
-- category:
extra-source-files:  CHANGELOG.md

executable justin-site
  main-is:             Main.hs
  other-modules:
    Bibtex,
    HakyllBibTex
  -- other-extensions:
  build-depends:
    base ^>=4.14.0.0,
    hakyll ^>=4.13,
    pandoc,
    process,
    binary,
    containers,
    mtl,
    pandoc-citeproc,
    pandoc-types,
    parsec,
    split,
    text

  hs-source-dirs:      app
  default-language:    Haskell2010
